import request from "@/api/request.js";

// 风险信号
export function getRiskSignal(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`,
    })
}

// 新闻资讯
export function getNews(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/news/${params.moduleId}`,
    })
}

// 社交媒体
export function getRemarks(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/remarks/${params.moduleId}`,
    })
}

// 获取人物全局信息 通过personId 获取personType
export function getPersonSummaryInfo(params) {
    return request({
        method: 'GET',
        url: `/api/personHomepage/summaryInfo/${params.personId}`,
    })
}

// 获取人物类别
export function getPersonType() {
    return request({
        method: 'GET',
        url: `/api/commonDict/personType`,
    })
}